import 'package:knt_base_monetized/knt_base_monetized.dart';
import 'package:purchases_flutter/purchases_flutter.dart';

class IapConfig {
  const IapConfig({
    required this.publicKey,
    required this.entitlementID,
    required this.packageConverter,
    this.appUserId,
    this.enabledLogs = false,
  });

  /// RevenueCat project's public key
  final String publicKey;

  /// EntitlementID that configured on RevenueCat
  final String entitlementID;

  /// RevenueCat project's [appUserId]
  final String? appUserId;

  /// Enable debug logs or not
  final bool enabledLogs;

  /// Convert RevenueCat packages into local items for showing on UI.
  final List<SubscriptionItem> Function(List<Package>) packageConverter;
}
