import 'package:knt_base_monetized/knt_base_monetized.dart';
import 'package:purchases_flutter/purchases_flutter.dart';

import '../model/iap_config.dart';

class IapService {
  final IapConfig _config;

  const IapService(this._config);

  /// Initialize [Purchases] lib of RevenueCat, must be called before **runApp()**.
  ///
  /// For example:
  /// ```dart
  /// Future<void> main() async {
  ///   WidgetsFlutterBinding.ensureInitialized();
  ///   await getIt<RevCatIapService>().init();
  ///   runApp(App());
  /// }
  /// ```
  Future<void> init() async {
    await Purchases.setDebugLogsEnabled(enabledLogs);
    await Purchases.configure(
        PurchasesConfiguration(publicKey)..appUserID = appUserId);
  }

  String get publicKey => _config.publicKey;

  String get entitlementID => _config.entitlementID;

  String? get appUserId => _config.appUserId;

  bool get enabledLogs => _config.enabledLogs;

  List<SubscriptionItem> Function(List<Package>) get packageConverter =>
      _config.packageConverter;
}
