import 'package:intl/intl.dart';

extension DateUtils on DateTime {
  bool isAfterInRange(int acceptableRangeInSeconds, DateTime? date) {
    if (date == null || isBefore(date)) {
      return false;
    }
    return difference(date).inSeconds <= acceptableRangeInSeconds;
  }
}

extension InversionDate on String {
  static const revenueCatDateTimePattern = 'yyyy-MM-dd\'T\'HH:mm:ss\'Z\'';
  static const backupRevenueCatDateTimePattern =
      'yyyy-MM-dd\'T\'HH:mm:ss.SSS\'Z\'';

  DateTime parse() {
    try {
      return DateFormat(revenueCatDateTimePattern).parse(this);
    } on Exception {
      return DateFormat(backupRevenueCatDateTimePattern).parse(this);
    }
  }
}
